com.hazelcast.scheduledexecutor

## Interface ScheduledTaskStatistics

- All Superinterfaces:
    DataSerializable, IdentifiedDataSerializable

      public interface ScheduledTaskStatistics
      extends IdentifiedDataSerializable

  Statistics and timing info for a `IScheduledFuture` accessible through `IScheduledFuture.getStats()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLastIdleTime(TimeUnit unit)` Returns the last period of time the task was idle, waiting to get scheduled
    `long` | `getLastRunDuration(TimeUnit unit)` Returns the duration of the task's last execution.
    `long` | `getTotalIdleTime(TimeUnit unit)` Returns the total amount of time the task was idle, waiting to get scheduled in.
    `long` | `getTotalRuns()` Returns how many times the task was ran/called.
    `long` | `getTotalRunTime(TimeUnit unit)` Returns the total amount of time the task spent while scheduled in.

    - ### Methods inherited from interface com.hazelcast.nio.serialization.IdentifiedDataSerializable

      `getFactoryId, getId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Method Detail

    - #### getTotalRuns

          long getTotalRuns()

      Returns how many times the task was ran/called.
      Returns:
        The numbers of runs

    - #### getLastRunDuration

          long getLastRunDuration(TimeUnit unit)

      Returns the duration of the task's last execution.
      Parameters:
        `unit` - The time unit to return the duration in.
      Returns:
        The total duration of the task's last execution.

    - #### getLastIdleTime

          long getLastIdleTime(TimeUnit unit)

      Returns the last period of time the task was idle, waiting to get scheduled
      Parameters:
        `unit` - The time unit to return the duration in.
      Returns:
        The last idle period of time of the task.

    - #### getTotalRunTime

          long getTotalRunTime(TimeUnit unit)

      Returns the total amount of time the task spent while scheduled in.
      Parameters:
        `unit` - The time unit to return the duration in.
      Returns:
        The total amount of time the task spent while scheduled in.

    - #### getTotalIdleTime

          long getTotalIdleTime(TimeUnit unit)

      Returns the total amount of time the task was idle, waiting to get scheduled in.
      Parameters:
        `unit` - The time unit to return the duration in.
      Returns:
        The total amount of time the task was idle, waiting to get scheduled in.

Copyright © 2019. All rights reserved.